# Network Class

### NAMESPACE

RASAdminEngine.Core.OutputModels.ClientRulesPolicy

### DESCRIPTION

Sessions Network Policy

### INHERITED FROM

[RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html)⇒Network

### INTERFACES

* ISerializable
* IComparable

### PUBLIC PROPERTIES

| Type                                                                                                                            | Name                     | Description |                                                        |
| ------------------------------------------------------------------------------------------------------------------------------- | ------------------------ | ----------- | ------------------------------------------------------ |
| Boolean                                                                                                                         | Enabled                  |             | Whether Network policy is enabled or not               |
| Boolean                                                                                                                         | ProxyAuthentication      |             | Check the box if the proxy requires any authentication |
| String                                                                                                                          | ProxyHost                |             | The proxy host                                         |
| UInt32                                                                                                                          | ProxyPort                |             | The proxy port                                         |
| [ProxyType](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/ProxyType.html) | ProxyType                |             | The Proxy Type                                         |
| Boolean                                                                                                                         | ProxyUseLogonCredentials |             | Will use the user logon credentials                    |
| String                                                                                                                          | ProxyUsername            |             | The proxy username authentication                      |
| Boolean                                                                                                                         | UseProxyServer           |             | Check the box if you want to use a proxy server        |

### PUBLIC METHODS

| Type    | Name                   | Description                                                                                                                                                    |   |
| ------- | ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | - |
| Int32   | CompareTo (Object obj) | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Boolean | Equals (Object obj)    | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Int32   | GetHashCode ()         | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Type    | GetType ()             |                                                                                                                                                                |   |
| String  | ToString ()            |                                                                                                                                                                |   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/class/network-class.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
